/* ------ General ------ */
* {
    box-sizing: border-box;
}

body {
    margin: 40px 0 0;
    padding: 0;
    font-family: "SF Pro Text", sans-serif;
    font-weight: 500;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    background-color: #E4E4E4;
}


a:-webkit-any-link {
    text-decoration: none; /* per non sottolineare il contenuto di un Link (quindi una a) */
}

.container {
    padding: 20px;
    min-height: 100vh;
}

.btn {
    border-width: 0;
    border-radius: 8px;
    width: 100%;
    padding: 10px;
    font-weight: bold;
    color: white;
    text-transform: uppercase; /* trasforma il testo in maiuscolo */
    cursor: pointer;
}

.btn:disabled {
    opacity: 0.5; /* trasparente al 50% */
    cursor: default;
}

.btn.btn-primary {
    background-color: #007AFF;
}

.btn.btn-danger {
    background-color: #C52828;
}

/* ------ Form ------ */
form .form-input {
    display: flex; /* voglio usare Flexbox per posizionare gli elementi al suo interno */
    flex-direction: column; /* voglio posizionare gli elementi interni in verticale */
    margin-bottom: 20px;
}

form .form-input label {
    font-size: 12px;
    font-weight: bold;
    margin-bottom: 10px;
    color: rgba(60, 60, 67, 0.6);
}

form .form-input input {
    height: 45px;
    border: 1px solid #979797;
    border-radius: 4px;
    padding: 10px;
}
/* ------ Lists ------ */
.dot {
     height: 25px;
     width: 25px;
     border-radius: 50%;
     display: inline-block;
 }
 .box {
     border-bottom: solid 1px;
     width: 200px;
     padding: 10px;
 }
/* ------ List Detail ------ */
.list-detail-container {
    background: white;
}

.colors {
    display: grid; /* utilizza Grid Layout per il positioning */
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr; /* crea 5 colonne uguali e disponi gli elementi all'interno */
    row-gap: 20px; /* inserisci uno spazio tra le righe */
}

.colors .color {
    height: 35px;
    width: 35px;
    border-radius: 50%;
    cursor: pointer; /* mostra manina invece che la freccia del cursore all'hover */
}

.colors .color.active {
    border: 2px solid black;
}

/* LOGO CSS
.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
} */
